CentOS7: Util-linux-2.23.2-33.el7.x86_64 Was Supposed To Be Removed But Is Not!

Home » CentOS » CentOS7: Util-linux-2.23.2-33.el7.x86_64 Was Supposed To Be Removed But Is Not!
CentOS No Comments

Hello All, a few weeks ago, I got this output after running yum clean all && yum update. Now after yesterday’s updates, things got a little worse:

[jvermeulen@localhost ~]$ sudo yum clean all Geladen plugins: fastestmirror Opschonen repo’s:adobe-linux-x86_64 base epel extras nux-dextop updates Cleaning up everything

[jvermeulen@localhost ~]$ sudo yum update Geladen plugins: fastestmirror adobe-linux-x86_64 | 2.9 kB 00:00:00
base | 3.6 kB 00:00:00
epel/x86_64/metalink | 23 kB 00:00:00
epel | 4.3 kB 00:00:00
extras | 3.4 kB 00:00:00
nux-dextop | 2.9 kB 00:00:00
updates | 3.4 kB 00:00:00
(1/9): epel/x86_64/group_gz | 170 kB 00:00:00
(2/9): adobe-linux-x86_64/primary_db | 2.7 kB 00:00:00
(3/9): epel/x86_64/updateinfo | 799 kB 00:00:00
(4/9): base/7/x86_64/group_gz | 155 kB 00:00:01
(5/9): base/7/x86_64/primary_db | 5.6 MB 00:00:02
(6/9): epel/x86_64/primary_db | 4.7 MB 00:00:02
(7/9): extras/7/x86_64/primary_db | 167 kB 00:00:02
(8/9): nux-dextop/x86_64/primary_db | 1.6 MB 00:00:02
(9/9): updates/7/x86_64/primary_db | 5.6 MB 00:00:02
Determining fastest mirrors
* base: mirror.kinamo.be
* epel: fr.mirror.babylon.network
* extras: mirror.kinamo.be
* nux-dextop: mirror.li.nux.ro
* updates: mirror.kinamo.be Oplossen van afhankelijkheden
–> Transactiecontrole uitvoeren
—> Pakket dracut.x86_64 0:033-463.el7 wordt bijgewerkt
—> Pakket dracut.x86_64 0:033-463.el7_3.1 wordt een update
—> Pakket dracut-config-rescue.x86_64 0:033-463.el7 wordt bijgewerkt
—> Pakket dracut-config-rescue.x86_64 0:033-463.el7_3.1 wordt een update
—> Pakket util-linux.x86_64 0:2.23.2-33.el7 wordt bijgewerkt
—> Pakket util-linux.x86_64 0:2.23.2-33.el7_3.2 wordt een update
–> Klaar met oplossen afhankelijkheden
–> Vinden van overbodige achtergebleven afhankelijkheden Found and removing 0 unneeded dependencies Afhankelijkheden opgelost

========================================================================================================================================================================
Package Arch Versie Repository Grootte
========================================================================================================================================================================
Bijwerken:
dracut x86_64 033-463.el7_3.1 updates 317 k dracut-config-rescue x86_64 033-463.el7_3.1 updates 54 k util-linux x86_64 2.23.2-33.el7_3.2 updates 1.9 M

Transactie Samenvatting
========================================================================================================================================================================
Upgrade 3 Pakketten Totale download grootte: 2.3 M
Is this ok [y/d/N]: y Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/3): dracut-033-463.el7_3.1.x86_64.rpm | 317 kB 00:00:00
(2/3): dracut-config-rescue-033-463.el7_3.1.x86_64.rpm | 54 kB 00:00:01
(3/3): util-linux-2.23.2-33.el7_3.2.x86_64.rpm | 1.9 MB 00:00:02
————————————————————————————————————————————————————————
Totaal 1.0 MB/s | 2.3 MB 00:00:02
Running transaction check Running transaction test Transaction test succeeded Running transaction Bijwerken : util-linux-2.23.2-33.el7_3.2.x86_64 1/6
Error unpacking rpm package util-linux-2.23.2-33.el7_3.2.x86_64
error: unpacking of archive failed on file /usr/bin/namei: cpio: rename Bijwerken : dracut-033-463.el7_3.1.x86_64 2/6
Error unpacking rpm package dracut-033-463.el7_3.1.x86_64
error: util-linux-2.23.2-33.el7_3.2.x86_64: install failed error: unpacking of archive failed: cpio: lstat Bijwerken : dracut-config-rescue-033-463.el7_3.1.x86_64 3/6
Error unpacking rpm package dracut-config-rescue-033-463.el7_3.1.x86_64
error: dracut-033-463.el7_3.1.x86_64: install failed error: unpacking of archive failed: cpio: lstat Verifiëren : util-linux-2.23.2-33.el7_3.2.x86_64 1/6
dracut-033-463.el7.x86_64 was supposed to be removed but is not!
Verifiëren : dracut-033-463.el7.x86_64 2/6
Verifiëren : dracut-config-rescue-033-463.el7_3.1.x86_64 3/6
dracut-config-rescue-033-463.el7.x86_64 was supposed to be removed but is not!
Verifiëren : dracut-config-rescue-033-463.el7.x86_64 4/6
Verifiëren : dracut-033-463.el7_3.1.x86_64 5/6
util-linux-2.23.2-33.el7.x86_64 was supposed to be removed but is not!
Verifiëren : util-linux-2.23.2-33.el7.x86_64 6/6

Mislukt:
dracut.x86_64 0:033-463.el7 dracut.x86_64 0:033-463.el7_3.1 dracut-config-rescue.x86_64 0:033-463.el7 dracut-config-rescue.x86_64 0:033-463.el7_3.1
util-linux.x86_64 0:2.23.2-33.el7 util-linux.x86_64 0:2.23.2-33.el7_3.2

Compleet!

I also tried:

sudo yum clean all && rpm –rebuilddb Apart from that, I don’t know what I can safely use. Can I try something like : rpm -e –nodeps util-linux and then reïnstall it?

Thanks for any advise. greetings, J.

LEAVE A COMMENT